<?php
/**
* WordPress.com-specific functions and definitions.
*
* This file is centrally included from `wp-content/mu-plugins/wpcom-theme-compat.php`.
*
* @package Apostrophe
*/


/**
* Adds support for wp.com-specific theme functions.
*
* @global array $themecolors
*/
function apostrophe_wpcom_setup() {
	global $themecolors;
	// Set theme colors for third party services.
	if ( ! isset( $themecolors ) ) :
		$themecolors = array(
			'bg'     => 'ffffff',
			'text'   => '3a3a3a',
			'link'   => '117bb8',
			'border' => 'a0a0a0',
			'url'    => '117bb8',
		);
	endif;

	// Use standard print stylesheet.
	add_theme_support( 'print-style' );
}
add_action( 'after_setup_theme', 'apostrophe_wpcom_setup' );
